.lp-steps-nav {
    position: relative;
    list-style: none;
    counter-reset: steps-counter;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-between;
    z-index: 1;
    margin-bottom: 60px;

    &::before {
        content: '';
        display: block;
        height: 1px;
        background-color: rgba(#fff, 0.8);
        position: absolute;
        left: 0;
        top: 28px;
        right: 0;
        z-index: -1;
    }

    @media(min-width: $md) {
        display: block;

        &::before {
            content: none;
        }

    }
}

.lp-steps-nav__item {
    position: relative;
    counter-increment: steps-counter;
    display: flex;
    align-items: center;
    font-size: 14px;
    line-height: 16px;
    cursor: pointer;
    padding: 0.5em 0;
    flex-grow: 0;
    flex-shrink: 0;

    background: transparent;
    text-decoration: none;
    border: 0;
    color: #fff;

    &::before {
        content: counter(steps-counter);
        display: flex;
        height: 40px;
        width: 40px;
        border-radius: 50%;
        border: 1px solid #fff;
        align-items: center;
        justify-content: center;
        padding-top: 2px;
        flex-shrink: 0;
        box-sizing: border-box;
        background-color: $black;
    }

    span {
        position: absolute;
        top: 100%;
        font-size: 10px;
        left: 50%;
        transform: translateX(-50%);
    }

    &.disabled {
        cursor: default;

        &::before {
            color: rgba(#fff, 0.4);
            border-color: rgba(#fff, 0.4);
        }

        span {
            opacity: 0.4;
        }
    }

    &.current {
        cursor: default;

        &::before {
            color: $black;
            background-color: $green2;
            border-color: $green2;
        }
    }

    &:not(.disabled):not(.current) {
        &:hover {
            &::before {
                background-color: #fff;
                color: $black;
            }
        }
    }

    @media(min-width: $md) {
        font-weight: 700;
        font-size: 16px;
        line-height: 18px;

        &::before {
            height: 30px;
            width: 30px;
        }

        span {
            display: block;
            position: static;
            transform: none;
            left: 0;
            margin-left: 12px;
            margin-top: 2px;
            font-size: 16px;
            line-height: 18px;
        }
    }
}

.lp-steps-footer {
    margin: 40px 0 0;

    .row {
        margin-left: -7px;
        margin-right: -7px;

        [class*='col-'] {
            padding-right: 4px;
            padding-left: 4px;
        }
    }
}

.lp-wrap {
    background: $gray;
    border-radius: 20px;
    padding: 20px 20px 25px;
    margin-bottom: 30px;

    @media(min-width: $md) {
        padding: 30px 32px 30px;
    }
}

.lp-wrap__header {
    margin-bottom: 2em;

    .h3-wrap {
        margin-bottom: 0;
    }
}


// Projects info 

.lp-project-info {
    background: #000000;
    border-radius: 20px;
    padding: 24px;
    @include text-14-16();
    color: rgba(#fff, 0.8);

    p {
        margin: 0 0 0.75em;
    }
}

.lp-step-block {
    margin-top: 40px;
    @include text-14-16();

    @media(min-width: $lg) {
        margin-top: 60px;
    }
}

.lp-step-block__num {
    position: relative;
    padding: 16px 0;
    margin-bottom: 32px;

    .num {
        position: absolute;
        left: 0;
        top: 50%;
        margin-top: -16px;
        width: 32px;
        height: 32px;
        background: $green2;
        border-radius: 50%;
        color: $black;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1;
        font-weight: bold;
    }
}

.c-wrap__table {
    .lp-bach-header {
        font-size: 18px;
    }
}

// nft card in batch modal
.lp-batch-card {
    position: relative;
    background-color: $gray;
    border-radius: 20px;
    font-size: 14px;
    line-height: 1.4em;

    height: 100%;

    &:hover {
        .img img {
            transform: scale(1.1);
        }
    }

    &.checked {
        .check {
            background: url($img-check-black) center no-repeat $green1;
            border-color: $green1;
        }
    }

    .img {
        position: relative;

        &::before {
            content: '';
            display: block;
            padding-top: 100%;
        }

        .inner {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #2e2e2e;
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
            overflow: hidden;
        }

        img {
            transition: transform 0.2s ease;
            max-width: 100%;
            max-height: 100%;
        }
    }

    .info {
        padding: 16px 16px 20px;
    }

    .check {
        height: 40px;
        width: 40px;
        border-radius: 50%;
        border: 1px solid rgba(#fff, 0.8);
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 3;
        transition: border-color 0.3s ease, background-color 0.3s ease;
        cursor: pointer;

        &:hover {
            border-color: $green1;
            background-color: rgba($green1, 0.6);
        }
    }

    .coins {
        display: flex !important;
        padding-left: 8px;
        margin-right: 4px;

        .i-coin {
            display: block;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            margin-left: -8px;
            // box-shadow: 0 0 0 1px $gray;
        }
    }
}